Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ACE_QoS_Decorator_Base Class Reference

This class is the Decorator Pattern Base class for decorating ACE_Event_Handler. More...

`#include <QoS_Decorator.h>`

Inheritance diagram for ACE_QoS_Decorator_Base

[legend]
Collaboration diagram for ACE_QoS_Decorator_Base:

[legend]
List of all members.

## Public Methods
| ACE_QoS_Decorator_Base (void)
| Constructor.
| ACE_QoS_Decorator_Base (ACE_Event_Handler *event_handler)
| Constructor.
| ~ACE_QoS_Decorator_Base (void)
| Destructor.
virtual ACE_HANDLE | get_handle (void) const
| Forwards the request to its event_handler_ component.
virtual int | handle_input (ACE_HANDLE fd)
| Forwards the request to its event_handler_ component.
virtual int | handle_qos (ACE_HANDLE fd)
| Forwards the request to its event_handler_ component.
## Private Attributes
ACE_Event_Handler* | event_handler_
| The event handler that is decorated by this class.

## Detailed Description

This class is the Decorator Pattern Base class for decorating ACE_Event_Handler.

It simply forwards the requests for get_handle (), handle_input () and handle_qos () to its event_handler_ component. Concrete decorators for ACE_Event_Handler will use this class to access the basic event handler functionality and decorate that by their own implementation.

## Constructor & Destructor Documentation

ACE_QoS_Decorator_Base::ACE_QoS_Decorator_Base ( | void )

| Constructor.

ACE_QoS_Decorator_Base::ACE_QoS_Decorator_Base ( | ACE_Event_Handler * event_handler )

| Constructor.

ACE_QoS_Decorator_Base::~ACE_QoS_Decorator_Base ( | void )

| Destructor.

## Member Function Documentation

ACE_HANDLE ACE_QoS_Decorator_Base::get_handle ( | void ) const`[virtual]`

| Forwards the request to its event_handler_ component. Reimplemented from ACE_Event_Handler. Reimplemented in ACE_QoS_Decorator.

int ACE_QoS_Decorator_Base::handle_input ( | ACE_HANDLE fd )`[virtual]`

| Forwards the request to its event_handler_ component. Reimplemented from ACE_Event_Handler. Reimplemented in ACE_QoS_Decorator.

int ACE_QoS_Decorator_Base::handle_qos ( | ACE_HANDLE fd )`[virtual]`

| Forwards the request to its event_handler_ component. Reimplemented from ACE_Event_Handler. Reimplemented in ACE_QoS_Decorator.

## Member Data Documentation

ACE_Event_Handler * ACE_QoS_Decorator_Base::event_handler_`[private]`

| The event handler that is decorated by this class.

The documentation for this class was generated from the following files:

- QoS_Decorator.h
- QoS_Decorator.cpp